HTTP API

ECS Entity

POST/api/v1/ecs/{index}/entities
POST
/api/v1/ecs/{index}/entities

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

index*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/ecs/string/entities" \  -H "Content-Type: application/json" \  -d '{    "entity_id": "string"  }'
{  "archetype_hash": "string",  "component_versions": {    "property1": 0,    "property2": 0  },  "components": {    "property1": null,    "property2": null  },  "created_at": "string",  "entity_id": "string",  "index": "string",  "parent": "string",  "tags": [    "string"  ],  "updated_at": "string",  "version": 0}
POST/api/v1/ecs/{index}/entities/batch
POST
/api/v1/ecs/{index}/entities/batch

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

index*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/ecs/string/entities/batch" \  -H "Content-Type: application/json" \  -d '{    "entities": [      {        "entity_id": "string"      }    ]  }'
{  "created": [    {      "archetype_hash": "string",      "entity_id": "string",      "version": 0    }  ],  "failed": [    {      "entity_id": "string",      "error": "string"    }  ]}
DELETE/api/v1/ecs/{index}/entities/batch
DELETE
/api/v1/ecs/{index}/entities/batch

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

index*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X DELETE "https://example.com/api/v1/ecs/string/entities/batch" \  -H "Content-Type: application/json" \  -d '{    "query": {      "filters": [        {          "component": "string",          "field": "string",          "op": "eq",          "value": null        }      ],      "has_all": [        "string"      ],      "has_any": [        "string"      ],      "has_none": [        "string"      ]    }  }'
{  "deleted_count": 0,  "failed": [    {      "entity_id": "string",      "error": "string"    }  ]}
GET/api/v1/ecs/{index}/entities/{entity_id}
GET
/api/v1/ecs/{index}/entities/{entity_id}

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

index*string
entity_id*string

Response Body

application/json

curl -X GET "https://example.com/api/v1/ecs/string/entities/string"
{  "archetype_hash": "string",  "component_versions": {    "property1": 0,    "property2": 0  },  "components": {    "property1": null,    "property2": null  },  "created_at": "string",  "entity_id": "string",  "index": "string",  "parent": "string",  "tags": [    "string"  ],  "updated_at": "string",  "version": 0}
DELETE/api/v1/ecs/{index}/entities/{entity_id}
DELETE
/api/v1/ecs/{index}/entities/{entity_id}

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

index*string
entity_id*string

Query Parameters

cascade?boolean

Response Body

curl -X DELETE "https://example.com/api/v1/ecs/string/entities/string"
Empty
PUT/api/v1/ecs/{index}/entities/{entity_id}/tags
PUT
/api/v1/ecs/{index}/entities/{entity_id}/tags

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

index*string
entity_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/api/v1/ecs/string/entities/string/tags" \  -H "Content-Type: application/json" \  -d '{    "tags": [      "string"    ]  }'
{  "archetype_hash": "string",  "component_versions": {    "property1": 0,    "property2": 0  },  "components": {    "property1": null,    "property2": null  },  "created_at": "string",  "entity_id": "string",  "index": "string",  "parent": "string",  "tags": [    "string"  ],  "updated_at": "string",  "version": 0}

On this page